﻿<%@ Page Title="Product Management" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Products.aspx.cs" Inherits="TechSite.Admin.Products" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <link rel="stylesheet" type="text/css" href="../Content/newgrid.css">
    <asp:FormView ID="FormViewBrand" runat="server" ItemType="TechSite.Models.Brands" SelectMethod="GetBrand" Width="100%">
        <ItemTemplate>
            <h2>Manage products for <strong><%#:Item.BrandName%></strong></h2>
        </ItemTemplate>
    </asp:FormView>

    <div class="form-horizontal">
        <h4>Add Products</h4>
        <hr />
        <p class="text-danger">
            <asp:Literal runat="server" ID="ErrorMessage" />
        </p>

        <div class="form-group">
            <asp:Label runat="server" AssociatedControlID="ProductName" CssClass="col-md-2 control-label">Product Name<span style="color:red"> *</span></asp:Label>
            <div class="col-md-10">
                <asp:TextBox runat="server" ID="ProductName" CssClass="form-control" TextMode="SingleLine" Width="200px" />
            </div>
        </div>
        <div class="form-group">
            <asp:Label runat="server" AssociatedControlID="SortOrder" CssClass="col-md-2 control-label">Sort Order</asp:Label>
            <div class="col-md-10">
                <asp:TextBox runat="server" ID="SortOrder" CssClass="form-control" TextMode="Number" Width="100px">0</asp:TextBox>
            </div>
        </div>
        <div class="form-group">
            <asp:Label runat="server" AssociatedControlID="MaskRegEx" CssClass="col-md-2 control-label">Mask Regular Expression</asp:Label>
            <div class="col-md-10">
                <asp:TextBox runat="server" ID="MaskRegEx" CssClass="form-control" TextMode="SingleLine" Width="200px" />
            </div>
        </div>
        <div class="form-group">
            <asp:Label runat="server" AssociatedControlID="TrueRegEx" CssClass="col-md-2 control-label">True Regular Expression</asp:Label>
            <div class="col-md-10">
                <asp:TextBox runat="server" ID="TrueRegEx" CssClass="form-control" TextMode="SingleLine" Width="400px" />
            </div>
        </div>
        <div class="form-group">
            <asp:Label runat="server" AssociatedControlID="ExprDays" CssClass="col-md-2 control-label">Expiration Days</asp:Label>
            <div class="col-md-10">
                <asp:TextBox runat="server" ID="ExprDays" CssClass="form-control" TextMode="Number" Width="100px">0</asp:TextBox>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <asp:Button runat="server" OnClick="AddProduct_Click" Text="Add Product" CssClass="btn btn-default" />
            </div>
        </div>
    </div>

    <p class="text-success">
        <asp:Literal runat="server" ID="SuccessMessage" />
    </p>
    <br />
    <div class="rounded-corners">
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="Id" DataSourceID="ProductsDataSource"
            CssClass="table table-bordered table-hover" PagerStyle-CssClass="pager" Width="100%"
            PageSize="20" AutoGenerateEditButton="True" ShowHeaderWhenEmpty="True" AllowPaging="True" AllowSorting="True">
            <Columns>
                <asp:BoundField DataField="Id" HeaderText="Id" InsertVisible="False" ReadOnly="True" SortExpression="Id" />
                <asp:BoundField DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName" />
                <asp:BoundField DataField="SortOrder" HeaderText="SortOrder" SortExpression="SortOrder" />
                <asp:BoundField DataField="MaskRegEx" HeaderText="MaskRegEx" SortExpression="MaskRegEx" />
                <asp:BoundField DataField="TrueRegEx" HeaderText="TrueRegEx" SortExpression="TrueRegEx" />
                <asp:CheckBoxField DataField="Enabled" HeaderText="Enabled" SortExpression="Enabled" />
                <asp:BoundField DataField="ExpirationDays" HeaderText="ExpirationDays" SortExpression="ExpirationDays" />
            </Columns>

            <HeaderStyle ForeColor="#000" BackColor="#e8f3ff" />

            <PagerStyle CssClass="pager"></PagerStyle>
        </asp:GridView>
    </div>
    <asp:SqlDataSource ID="ProductsDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT [Id], [ProductName], [SortOrder], [MaskRegEx], [TrueRegEx], [Enabled], [ExpirationDays] FROM [Products] WHERE ([BrandId] = @BrandId) ORDER BY [SortOrder]" UpdateCommand="UPDATE [Products] SET [SortOrder] = ISNULL(@SortOrder,0), [MaskRegEx] = ISNULL(@MaskRegEx,''), [TrueRegEx] = ISNULL(@TrueRegEx,''), [Enabled] = @Enabled, [ExpirationDays] = ISNULL(@ExpirationDays,0) WHERE [Id] = @Id">
        <SelectParameters>
            <asp:QueryStringParameter Name="BrandId" QueryStringField="Id" Type="Int32" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="SortOrder" />
            <asp:Parameter Name="MaskRegEx" />
            <asp:Parameter Name="TrueRegEx" />
            <asp:Parameter Name="Enabled" />
            <asp:Parameter Name="ExpirationDays" />
            <asp:Parameter Name="Id" />
        </UpdateParameters>
    </asp:SqlDataSource>
</asp:Content>
