﻿<%@ Page Title="Registration Details" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="RegistrationDetailsOld.aspx.cs" Inherits="TechSite.Admin.RegistrationDetailsOld" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <link rel="stylesheet" type="text/css" href="../Content/newgrid.css">
    <div id="container" style="max-width: 100%; margin: 0 auto;">
        <div id="div_RegBody" style="max-width: 100%; margin: 0 auto; display: block">
            <div id="div_RegDetails" style="display: inline-block; width: 100%;">
                <asp:PlaceHolder ID="ResultText" runat="server"></asp:PlaceHolder>
                <asp:Image ID="Image1" runat="server" />
                <asp:FormView ID="FormView1" runat="server" ItemType="TechSite.Models.Registration" SelectMethod="GetRegistration" Width="100%">
                    <ItemTemplate>
                        <div style="display: inline-block; width: 40%; vertical-align: top; float: left;">
                            <h1><%#:Item.Name%></h1>
                            <p><b>E-Mail Address:</b> <%#:Item.EmailAddress%></p>
                            <p><b>Product Type:</b> <%#:Item.Products.ProductName%></p>
                            <p><b>Date of Purchase:</b> <%#:Item.DatePurchased %></p>
                            <p><b>Date of Expiration:</b> <%#:Item.ExpirationDate %></p>
                            <p>
                                <b>Warranty Status:</b>
                                <asp:Label ID="Label3" Style="font-weight: bold;" runat="server" Text='<%# WarrantyStatus(Eval("ExpirationDate")) %>'></asp:Label>
                            </p>
                            <p><b>Address:</b> <%#:Item.Address %></p>
                            <p><b>City:</b> <%#:Item.City %></p>
                            <p><b>State:</b> <%#:Item.State %></p>
                            <p><b>Postal Code:</b> <%#:Item.PostCode %></p>
                            <p><b>Phone Number:</b> <%#:Item.PhoneNo %></p>
                            <p><b>Country:</b> <%#:Item.Country %></p>
                        </div>
                        <div style="display: inline-block; width: 45%; vertical-align: top; float: right;">
                            <h2>Serial No.: <%#:Item.SerialNo %></h2>
                        </div>
                    </ItemTemplate>
                </asp:FormView>
            </div>
        </div>
        <p>Add a Note:</p>
        <asp:TextBox ID="txtNote" runat="server" Width="100%" Height="29px" MaxLength="1024"></asp:TextBox>
        <br />
        <br />
        <asp:Button ID="btnSubmit" runat="server" Text="Submit Note"
            OnClick="btnSubmit_Click" />
        <br />
        <br />
        <div class="rounded-corners">
            <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AutoGenerateColumns="False" DataSourceID="RegNotesDataSource" AllowCustomPaging="False"
                CssClass="table table-bordered table-hover" PagerStyle-CssClass="pager" PageSize="20" Width="100%">
                <Columns>
                    <asp:BoundField DataField="Note" HeaderText="Note" SortExpression="Note" />
                    <asp:BoundField DataField="UserId" HeaderText="User" SortExpression="UserId" />
                    <asp:BoundField DataField="CreatedDateTime" HeaderText="Date" SortExpression="CreatedDateTime" DataFormatString="{0:d}" />
                </Columns>
                <HeaderStyle ForeColor="#000" BackColor="#e8f3ff" />
            </asp:GridView>
        </div>
        <br />
        <br />
        <asp:SqlDataSource ID="RegNotesDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT [Note], [UserId], [CreatedDateTime] FROM [RegistrationNotes] WHERE ([RegistrationID] = @RegistrationID)">
            <SelectParameters>
                <asp:QueryStringParameter Name="RegistrationID" QueryStringField="id" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>

        <asp:GridView ID="GridViewFiles" runat="server" AllowPaging="True" AutoGenerateColumns="False" DataSourceID="SqlDataSourceRegFiles" AllowCustomPaging="False"
            CssClass="table table-bordered table-hover" PagerStyle-CssClass="pager" PageSize="20" Width="100%">
            <Columns>
                <asp:BoundField DataField="DateCreated" HeaderText="Date" SortExpression="DateCreated" DataFormatString="{0:d}" />
                <asp:BoundField DataField="ContentType" HeaderText="Content" SortExpression="ContentType" />
                <asp:BoundField DataField="OriginalName" HeaderText="File Name" SortExpression="OriginalName" />
                <asp:TemplateField ItemStyle-HorizontalAlign="Center">
                <ItemTemplate>
                    <asp:LinkButton ID="lnkDownload" runat="server" Text="Download" OnClick="DownloadFile"  
                            CommandArgument='<%# Eval("id") %>'></asp:LinkButton> 
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <HeaderStyle ForeColor="#000" BackColor="#e8f3ff" />
        </asp:GridView>

        <p>Upload new file</p>

        <asp:FileUpload ID="fileUpload" accept="image/jpeg,image/gif,image/png,application/pdf,image/x-eps" runat="server" />

        <br />
        <asp:Button ID="btnSubmitFile" runat="server" Text="Submit File & Note"
            OnClick="btnSubmitFile_Click" />
        <br />

        <asp:SqlDataSource ID="SqlDataSourceRegFiles" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT Id, DateCreated, ContentType, OriginalName FROM RegistrationFiles WHERE ([RegistrationID] = @RegistrationID)">
            <SelectParameters>
                <asp:QueryStringParameter Name="RegistrationID" QueryStringField="id" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>


    </div>
</asp:Content>
