﻿<%@ Page Title="User Administration" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="UserAdministration.aspx.cs" Inherits="TechSite.Admin.UserAdministration" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ScriptContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <link rel="stylesheet" type="text/css" href="../Content/newgrid.css">
    <p><a href="AddNewUser">Add a new User</a></p>
    <h2>Website Users:</h2>
    <div class="rTableRow" style="width: 100%">
        <div class="rTableCell">
            <asp:Label ID="LabelFN" runat="server" Text="Search Name, Email or Customer No." Font-Bold="true"></asp:Label>
            &nbsp;
                    <asp:TextBox ID="fSearchName" runat="server"></asp:TextBox>
        </div>
        <div class="rTableCell">
            <asp:Label ID="Label3" runat="server" Text="Role" Font-Bold="true"></asp:Label>
            &nbsp;
            <asp:DropDownList ID="ddlRoles" DataSourceID="ProductListDataSource"
                AutoPostBack="True" DataValueField="Name" runat="server" AppendDataBoundItems="True" DataTextField="Name" Height="26px">
                <asp:ListItem Text="All" Value="%"></asp:ListItem>
            </asp:DropDownList>
            <asp:SqlDataSource ID="ProductListDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT [Name] FROM [AspNetRoles]"></asp:SqlDataSource>

        </div>
        <div class="rTableCell">
            <asp:Button ID="btnSearch" runat="server" Text="Search" />
        </div>
    </div>
    <br />
    <div class="rounded-corners">
        <asp:GridView ID="GridView1"
            runat="server" AllowPaging="True" AutoGenerateColumns="False" DataSourceID="UserDataSource"
            CssClass="table table-bordered table-hover" PagerStyle-CssClass="pager" Width="100%"
            PageSize="20" AutoGenerateDeleteButton="True" AllowSorting="True" DataKeyNames="Id">
            <Columns>

                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:HiddenField ID="Id" Value='<%# Eval("Id") %>' runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="FullName" HeaderText="Full Name" SortExpression="FullName" />
                <asp:BoundField DataField="UserName" HeaderText="User Name" SortExpression="UserName" />
                <asp:BoundField DataField="CustomerNo" HeaderText="Customer No" SortExpression="CustomerNo" />
                <asp:BoundField DataField="IsAdmin" HeaderText="Admin" ReadOnly="True" SortExpression="IsAdmin" />
                <asp:BoundField DataField="IsTech" HeaderText="Tech" ReadOnly="True" SortExpression="IsTech" />
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:Button ID="btnAdmin" class="btnAdmin" runat="server" Text='<%# GetCaption(Eval("Id"),"Admin") %>'
                            OnClick="btnAdminClick" />

                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:Button ID="btnTech" class="btnAdmin" runat="server" Text='<%# GetCaption(Eval("Id"),"Tech") %>'
                            OnClick="btnTechClick" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:HyperLinkField DataNavigateUrlFields="Id" DataNavigateUrlFormatString="UserEdit.aspx?Id={0}" HeaderText="Edit User" Text="View" />
            </Columns>
            <HeaderStyle ForeColor="#000" BackColor="#e8f3ff" />
        </asp:GridView>
    </div>
    <br />
    <br />

    <asp:SqlDataSource ID="UserDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:DefaultConnection %>" SelectCommand="SELECT [Id]
      ,[FullName]
	  ,[UserName]
      ,[CustomerNo]
     ,(CASE WHEN EXISTS(SELECT * FROM AspNetUserRoles WHERE AspNetUserRoles.UserId = AspNetUsers.Id AND AspNetUserRoles.RoleId = 'c2d407df-62f9-4b3b-af7f-7b769ee0d184') THEN
	   'Yes'
	   ELSE
	   'No'
	   END) AS IsAdmin
	   ,(CASE WHEN EXISTS(SELECT * FROM AspNetUserRoles WHERE AspNetUserRoles.UserId = AspNetUsers.Id AND AspNetUserRoles.RoleId = '04cc9a5c-e979-4606-9122-1d1b7dc90663') THEN
	   'Yes'
	   ELSE
	   'No'
	   END) AS IsTech
  FROM [test].[dbo].[AspNetUsers]"
        FilterExpression="(FullName LIKE '%{0}%' OR UserName LIKE '%{0}%' OR CustomerNo LIKE '%{0}%')" ConflictDetection="CompareAllValues" DeleteCommand="DELETE FROM [AspNetUsers] WHERE [Id] = @original_Id AND [FullName] = @original_FullName AND [UserName] = @original_UserName AND [CustomerNo] = @original_CustomerNo" InsertCommand="INSERT INTO [AspNetUsers] ([FullName], [UserName], [CustomerNo], [Id]) VALUES (@FullName, @UserName, @CustomerNo, @Id)" OldValuesParameterFormatString="original_{0}" UpdateCommand="UPDATE [AspNetUsers] SET [FullName] = @FullName, [UserName] = @UserName, [CustomerNo] = @CustomerNo WHERE [Id] = @original_Id AND [FullName] = @original_FullName AND [UserName] = @original_UserName AND [CustomerNo] = @original_CustomerNo">
        <DeleteParameters>
            <asp:Parameter Name="original_Id" Type="String" />
            <asp:Parameter Name="original_FullName" Type="String" />
            <asp:Parameter Name="original_UserName" Type="String" />
            <asp:Parameter Name="original_CustomerNo" Type="String" />
        </DeleteParameters>
        <FilterParameters>
            <asp:ControlParameter Name="FullName" ControlID="fSearchName" PropertyName="Text" ConvertEmptyStringToNull="false" />
        </FilterParameters>


        <InsertParameters>
            <asp:Parameter Name="FullName" Type="String" />
            <asp:Parameter Name="UserName" Type="String" />
            <asp:Parameter Name="CustomerNo" Type="String" />
            <asp:Parameter Name="Id" Type="String" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="FullName" Type="String" />
            <asp:Parameter Name="UserName" Type="String" />
            <asp:Parameter Name="CustomerNo" Type="String" />
            <asp:Parameter Name="original_Id" Type="String" />
            <asp:Parameter Name="original_FullName" Type="String" />
            <asp:Parameter Name="original_UserName" Type="String" />
            <asp:Parameter Name="original_CustomerNo" Type="String" />
        </UpdateParameters>


    </asp:SqlDataSource>
</asp:Content>
